## rexxcurl 2.1.1-1

=== debian/changelog ===
rexxcurl (2.1.1-1) unstable; urgency=low

  * Enable building with dynamic loading of API functions rather than
    static linking
  * Change to CURLLoadFuncs() to allow the API dll/so to be specified
    when dynamic loading

 -- Mark Hessling <mark@rexx.org>  Sat, 17 Jun 2023 12:00:00 +1000

rexxcurl (2.1.0-1) unstable; urgency=low

  * Bugs Fixed:
    - #8 CurlGetinfo COOKIELIST Invalid
    - #10 curl crash (longjmp causes uninitialized stack frame )
    - #11 Windows installer (64) for ooRexx trashed path
    - #12 RexxCURL-2.0.1.tar.gz contains bad links
    - #13 optind not (re-)initialised in common/loader.c
  * Support Requests:
    - #2 rexxcurl not working
  * More options
  * Fix HTTPPOSTFIELDS; don't append & for each field unless optional arg
    is supplied
  * Added cookie.rexx demo program to show server cookies.
  * Windows builds now with libcurl 7.64.0
  * Full support for concurrent installations of Rexx/CURL on Windows
    for different interpreters and/or 32bit or 64bit.
    If you have Rexx/CURL already installed, you should manually
    uninstall it prior to installing this version.
  * Add !REXXCURL.!PROTOCOLS as string of words

 -- Mark Hessling <mark@rexx.org>  Sat,  4 Sep 2022 12:00:00 +1000

rexxcurl (2.0.2-1) unstable; urgency=low

  * Fixes compilation erros with versions of cURL between 7.38.0 and 7.41.0
  * Add CurlReset function

 -- Mark Hessling <mark@rexx.org>  Sun, 12 Apr 2012 12:00:00 +1000

rexxcurl (2.0-1) unstable; urgency=low

  * This release aligns with 7.25.0 of cURL
  * Added CURLESCAPE and CURLUNESCAPE function for converting URLs
  * Add better error message when invalid options are specified
  * Display warnings when deprecated (curlsetopt) options are used
  * Display warning on startup when using a runtime version of libcurl
    that is less than the version Rexx/CURL was built with
  * Add new constants providing information about libcurl support
  * Additional options (curlsetopt) from cURL 7.15.5 to 7.25.0
  * Additional options (curlgetinfo) from cURL 7.15.5 to 7.25.0
  * Removed following options (curlsetopt) as at cURL 7.16.0
    SOURCE_*
  * Changed return format of HTTPAUTH_AVAIL (curlgetinfo)
  * bundle 7.25.0 DLL with Windows installer
  * OS/2 and eCS now supported
  * Rexx/CURL now thread-safe.
  * Licensing changed to CPLv1.0

 -- Mark Hessling <mark@rexx.org>  Sun, 25 Apr 2012 12:00:00 +1000

rexxcurl (1.6-1) experimental; urgency=low

  * Not publically released
  * Addition of FTP_ENTRY_PATH (curlgetinfo)
  * bundle 7.15.4 library with Windows installer

 -- Mark Hessling <mark@rexx.org>  Mon, 10 Jul 2006 12:00:00 +1000

rexxcurl (1.5-1) experimental; urgency=low

  * Not publically released
  * Additional options (curlsetopt) from cURL 7.15.2
    CONNECTONLY, LOCALPORT, LOCALPORTRANGE
  * Additional return information (curlgetinfo) from cURL 7.15.2
    LASTSOCKET

 -- Mark Hessling <mark@rexx.org>  Fri, 10 Mar 2006 12:00:00 +1000

rexxcurl (1.4-1) unstable; urgency=low

  * Additional options (curlsetopt) from cURL 7.14.1
    COOKIELIST, IGNORECONTENTLENGTH
  * Additional return information (curlgetinfo) from cURL 7.14.0
    NUM_CONNECTS, OS_ERRNO, SSL_ENGINES
  * Additional return information (curlgetinfo) from cURL 7.14.1
    COOKIELIST
  * Added CURLFORMADD and CURLFORMFREE to provide more flexibility with HTTP POST options
  * Additional options (curlsetopt) from cURL 7.15.0
    FTPSKIPPASVIP

 -- Mark Hessling <mark@rexx.org>  Sun, 16 Oct 2005 12:00:00 +1000

rexxcurl (1.3-1) unstable; urgency=low

  * Additional options (curlsetopt) from cURL 7.14.0
    FTPSSL, FTPSSLAUTH, SOURCEPOSTQUOTE, SOURCEPREQUOTE, SOURCEQUOTE, SOURCEURL, SOURCEUSERPWD,
    TCPNODELAY

 -- Mark Hessling <mark@rexx.org>  Sun, 10 Jul 2005 12:00:00 +1000

rexxcurl (1.2-1) unstable; urgency=low

  * Fixed bug with CURLGETINFO and returned string values
  * Additional options from cURL 7.12.1
  * First callback (PROGRESSFUNCTION) added (only works with Regina)
  * Fixed SF bugs 516517 618127

 -- Mark Hessling <mark@rexx.org>  Thu,  2 Dec 2004 12:00:00 +1000

rexxcurl (1.0-1) experimental; urgency=low

  * First released, based on cURL 7.8

 -- Mark Hessling <mark@rexx.org>  Sat, 20 Oct 2001 12:00:00 +1000
