=== debian/control ===
Source: rexxcurl
Section: devel
Priority: optional
Maintainer: Mark Hessling <mark@rexx.org>
Build-Depends: debhelper (>= 5), autotools-dev, libregina3-dev, pkg-config, libcurl4-openssl-dev
Standards-Version: 3.8.3

Package: rexxcurl-regina-tools
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, libregina3, libcurl4
Provides: rexxcurl-tools
Description: Rexx (Regina) interface to curl. Binary with function package embedded.
 Rexx/CURL is a Rexx external function package providing
 the functionality of curl.
 Useful for checking should errors occur with rexxcurl-lib.

Package: rexxcurl-regina-dev
Architecture: any
Section: libdevel
Depends: libregina3, pkg-config, libcurl4-openssl-dev
Provides: rexxcurl-dev
Description: Rexx (Regina) interface to curl. Development files.
 This package provides the external function package as a static library
 and config scripts to statically link with your Rexx interpreter.

Package: rexxcurl-regina-lib
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libregina3, libcurl4
Provides: rexxcurl-lib
Description: Rexx (Regina) interface to curl. External function package.
 This package provides the Rexx/CURL external function package
 installed into the Rexx interpreter's addons directory if it has one.

Package: rexxcurl-doc
Architecture: all
Section: doc
Provides: rexxcurl-doc
Description: Rexx interface to curl. Documentation files.
 This package provides documentation for Rexx/CURL.
