=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
malibdir=lib/$(DEB_HOST_MULTIARCH)

rexx_build=regina
variant_build=

#ifeq "$(rexx_build)" "regina"
#	ADDONS=installaddons
#else
#	ADDONS=installlib
#endif

ifeq "x$(variant_build)" "x"
	VAR_BUILD=
else
	VAR_BUILD=-$(variant_build)
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" --libdir=\$${prefix}/$(malibdir) --with-rexx=$(rexx_build)  --disable-libdir-change --with-docdir=\$${prefix}/share/doc/rexxcurl-doc
ifneq "x$(variant_build)" "x"
	mv debian/rexxcurl-$(rexx_build)-lib.postinst debian/rexxcurl$(VAR_BUILD)-$(rexx_build)-lib.postinst
	mv debian/rexxcurl-$(rexx_build)-lib.prerm    debian/rexxcurl$(VAR_BUILD)-$(rexx_build)-lib.prerm
endif


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/rexxcurl
	$(MAKE) prefix=$(CURDIR)/debian/rexxcurl-$(rexx_build)-tools/usr FULLSUFFIX=-$(rexx_build) installtools
	$(MAKE) prefix=$(CURDIR)/debian/rexxcurl-$(rexx_build)-lib/usr FULLSUFFIX=-$(rexx_build) installlib
	$(MAKE) prefix=$(CURDIR)/debian/rexxcurl-$(rexx_build)-dev/usr FULLSUFFIX=-$(rexx_build) installdev
	$(MAKE) prefix=$(CURDIR)/debian/rexxcurl-doc/usr installdoc

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.pdf
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
